package types

const QueryCacheKey = "query:%d:%s"
const AgentVipCacheKey = "agentVip:%d:%s"

type QueryCache struct {
	Name    string `json:"name"`
	IDCard  string `json:"id_card"`
	Mobile  string `json:"mobile"`
	Product string `json:"product_id"`
}
type QueryCacheLoad struct {
	Product         string `json:"product_en"`
	Params          string `json:"params"`
	AgentIdentifier string `json:"agent_dentifier"`
}

type AgentVipCache struct {
	Type string `json:"type"`
}
