package model

import (
	"github.com/zeromicro/go-zero/core/stores/cache"
	"github.com/zeromicro/go-zero/core/stores/sqlx"
)

var _ AgentMembershipRechargeOrderModel = (*customAgentMembershipRechargeOrderModel)(nil)

type (
	// AgentMembershipRechargeOrderModel is an interface to be customized, add more methods here,
	// and implement the added methods in customAgentMembershipRechargeOrderModel.
	AgentMembershipRechargeOrderModel interface {
		agentMembershipRechargeOrderModel
	}

	customAgentMembershipRechargeOrderModel struct {
		*defaultAgentMembershipRechargeOrderModel
	}
)

// NewAgentMembershipRechargeOrderModel returns a model for the database table.
func NewAgentMembershipRechargeOrderModel(conn sqlx.SqlConn, c cache.CacheConf) AgentMembershipRechargeOrderModel {
	return &customAgentMembershipRechargeOrderModel{
		defaultAgentMembershipRechargeOrderModel: newAgentMembershipRechargeOrderModel(conn, c),
	}
}
