package model

import (
	"github.com/zeromicro/go-zero/core/stores/cache"
	"github.com/zeromicro/go-zero/core/stores/sqlx"
)

var _ AgentRealNameModel = (*customAgentRealNameModel)(nil)

type (
	// AgentRealNameModel is an interface to be customized, add more methods here,
	// and implement the added methods in customAgentRealNameModel.
	AgentRealNameModel interface {
		agentRealNameModel
	}

	customAgentRealNameModel struct {
		*defaultAgentRealNameModel
	}
)

// NewAgentRealNameModel returns a model for the database table.
func NewAgentRealNameModel(conn sqlx.SqlConn, c cache.CacheConf) AgentRealNameModel {
	return &customAgentRealNameModel{
		defaultAgentRealNameModel: newAgentRealNameModel(conn, c),
	}
}
