package model

import (
	"github.com/zeromicro/go-zero/core/stores/cache"
	"github.com/zeromicro/go-zero/core/stores/sqlx"
)

var _ AgentWithdrawalTaxModel = (*customAgentWithdrawalTaxModel)(nil)

type (
	// AgentWithdrawalTaxModel is an interface to be customized, add more methods here,
	// and implement the added methods in customAgentWithdrawalTaxModel.
	AgentWithdrawalTaxModel interface {
		agentWithdrawalTaxModel
	}

	customAgentWithdrawalTaxModel struct {
		*defaultAgentWithdrawalTaxModel
	}
)

// NewAgentWithdrawalTaxModel returns a model for the database table.
func NewAgentWithdrawalTaxModel(conn sqlx.SqlConn, c cache.CacheConf) AgentWithdrawalTaxModel {
	return &customAgentWithdrawalTaxModel{
		defaultAgentWithdrawalTaxModel: newAgentWithdrawalTaxModel(conn, c),
	}
}
