package model

import (
	"github.com/zeromicro/go-zero/core/stores/cache"
	"github.com/zeromicro/go-zero/core/stores/sqlx"
)

var _ QueryCleanupDetailModel = (*customQueryCleanupDetailModel)(nil)

type (
	// QueryCleanupDetailModel is an interface to be customized, add more methods here,
	// and implement the added methods in customQueryCleanupDetailModel.
	QueryCleanupDetailModel interface {
		queryCleanupDetailModel
	}

	customQueryCleanupDetailModel struct {
		*defaultQueryCleanupDetailModel
	}
)

// NewQueryCleanupDetailModel returns a model for the database table.
func NewQueryCleanupDetailModel(conn sqlx.SqlConn, c cache.CacheConf) QueryCleanupDetailModel {
	return &customQueryCleanupDetailModel{
		defaultQueryCleanupDetailModel: newQueryCleanupDetailModel(conn, c),
	}
}
