package agent

import (
	"net/http"

	"tydata-server/app/main/api/internal/logic/agent"
	"tydata-server/app/main/api/internal/svc"
	"tydata-server/common/result"
)

func GetAgentProductConfigHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := agent.NewGetAgentProductConfigLogic(r.Context(), svcCtx)
		resp, err := l.GetAgentProductConfig()
		result.HttpResult(r, w, resp, err)
	}
}
