package model

import (
	"github.com/zeromicro/go-zero/core/stores/cache"
	"github.com/zeromicro/go-zero/core/stores/sqlx"
)

var _ AgentMembershipUserConfigModel = (*customAgentMembershipUserConfigModel)(nil)

type (
	// AgentMembershipUserConfigModel is an interface to be customized, add more methods here,
	// and implement the added methods in customAgentMembershipUserConfigModel.
	AgentMembershipUserConfigModel interface {
		agentMembershipUserConfigModel
	}

	customAgentMembershipUserConfigModel struct {
		*defaultAgentMembershipUserConfigModel
	}
)

// NewAgentMembershipUserConfigModel returns a model for the database table.
func NewAgentMembershipUserConfigModel(conn sqlx.SqlConn, c cache.CacheConf) AgentMembershipUserConfigModel {
	return &customAgentMembershipUserConfigModel{
		defaultAgentMembershipUserConfigModel: newAgentMembershipUserConfigModel(conn, c),
	}
}
