package model

import (
	"github.com/zeromicro/go-zero/core/stores/cache"
	"github.com/zeromicro/go-zero/core/stores/sqlx"
)

var _ AgentWithdrawalTaxExemptionModel = (*customAgentWithdrawalTaxExemptionModel)(nil)

type (
	// AgentWithdrawalTaxExemptionModel is an interface to be customized, add more methods here,
	// and implement the added methods in customAgentWithdrawalTaxExemptionModel.
	AgentWithdrawalTaxExemptionModel interface {
		agentWithdrawalTaxExemptionModel
	}

	customAgentWithdrawalTaxExemptionModel struct {
		*defaultAgentWithdrawalTaxExemptionModel
	}
)

// NewAgentWithdrawalTaxExemptionModel returns a model for the database table.
func NewAgentWithdrawalTaxExemptionModel(conn sqlx.SqlConn, c cache.CacheConf) AgentWithdrawalTaxExemptionModel {
	return &customAgentWithdrawalTaxExemptionModel{
		defaultAgentWithdrawalTaxExemptionModel: newAgentWithdrawalTaxExemptionModel(conn, c),
	}
}
